<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

$longName = 'Anmeldung Browserbestätig.';
$sortId = 50;

$sightsArray = array();




if (!SessionOperations::isNeuesAnmeldeverfahren()) {
  $sight = new SightItem();
  $sight->name = 'Teilnehmer';
  $sight->id = 67;
  $sight->showNoColumn = true;
  $sight->nameNoColumn = 'Anrede (wenn Kurs vor TN)';
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Firma';
  $sight->id = 76;
  $sight->showNoData = true;
  $sight->nameNoData = 'Anrede (wenn Kurs vor TN)';
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Weitere Teilnehmer';
  $sight->id = 181;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Weitere Kinder';
  $sight->id = 182;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Hoteldaten';
  $sight->id = 183;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Kurs OK';
  $sight->id = 204;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Kurs OK - unverbindlich';
  $sight->id = 184;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Kurs voll';
  $sight->id = 185;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Ausfall';
  $sight->id = 186;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Kursnummer ungültig';
  $sight->id = 187;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Kursende';
  $sight->id = 188;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Anmeldeschluss überschritten';
  $sight->id = 189;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Kurs Abgeschlossen';
  $sight->id = 190;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Übertragungsprobleme';
  $sight->id = 191;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Anmeldebeginn nicht erreicht';
  $sight->id = 517;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = '&Uuml;bermittlungsfehler Firma';
  $sight->id = 76;
  $sight->showHeader = false;
  $sight->showBody = false;
  $sight->showFooter = false;
  $sight->showNoData = false;
  $sight->showNoColumn = true;
  $sight->nameNoColumn = 'Fehlermeldung';
  array_push($sightsArray, $sight);
} else {
  $sight = new SightItem();
  $sight->name = 'Neues Anmeldeverfahren - Hauptteilnehmer';
  $sight->id = 505;
  $sight->showNoData = true;
  array_push($sightsArray, $sight);


  $sight = new SightItem();
  $sight->name = 'Neues Anmeldeverfahren - Kurse';
  $sight->id = 506;
  $sight->showNoData = false;
  $sight->showNoColumn = true;
  
  array_push($sightsArray, $sight);

  $sight = new SightItem();
  $sight->name = 'Neues Anmeldeverfahren - Server offline';
  $sight->id = 507;
  $sight->showNoData = false;
  array_push($sightsArray, $sight);
}

if (SessionOperations::isNeuesAnmeldeverfahren() && System::isStammhMitFirma()) {
    $sight = new SightItem();
    $sight->name = 'Stammh: Best. Firma / abweichender Zahler';
    $sight->id = 76;
    array_push($sightsArray, $sight);

    $sight = new SightItem();
    $sight->name = 'Stammh: Best. Mitarbeiter / Stammhörer';
    $sight->id = 181;
    array_push($sightsArray, $sight);
    $sight = new SightItem();
    $sight->name = 'Stammh: Best. Kurse';
    $sight->id = 204;
    array_push($sightsArray, $sight);
}

$sight = new SightItem();
$sight->name = 'Fu&szlig;zeile';
$sight->id = 70;
$sight->showHeader = false;
$sight->showBody = false;
$sight->showNoData = false;
array_push($sightsArray, $sight);

$sight = new SightItem();
$sight->name = 'Fehler E-Payment';
$sight->id = 501;
$sight->showHeader = true;
$sight->showBody = true;
$sight->showFooter = true;
$sight->showNoData = false;
$sight->showNoColumn = false;
$sight->nameNoColumn = 'Fehlermeldung';
array_push($sightsArray, $sight);